########
# Provided by mcs2 magic
########

#variable "vpc_id" {
#  type        = string
#  description = "VPC ID"
#}

#variable "subnet_ids" {
#  type        = list(string)
#  description = "Subnet ids for Glue connection leveraging an S3 VPC endpoint"
#}

#variable "security_group_ids" {
#  type        = list(string)
#  description = "Security groups for Glue connection leveraging an S3 VPC endpoint"
#}

variable "tags" {
  type        = map(string)
  description = "Tags for all resources"
}

#variable "default_env_vars" {
#  description = "A mapping of variables that are added by default from mcs2. The primary purpose is for metrics."
#  type        = map(string)
#  default     = {}
#}

########
# User provided
########

#### These come from the config map and script magic

variable "tools_bucket_name" {
  type        = string
  description = "Name of the S3 bucket where jars, wheels, libs, etc... are located"
}

variable "data_bucket_name" {
  type        = string
  description = "Name of the S3 bucket that holds the data."
}

variable "processing_bucket_name" {
  type        = string
  description = "Name of the S3 bucket that has all of the in-flight and log data."
}

variable "database_name" {
  type        = string
  description = "database name for mdr data"
}

variable "athena_workgroup_name" {
  type        = string
  description = "Name of the MDR Athena workgroup. Used by the hourly job."
}

variable "job_dlq_arn" {
  type        = string
  description = "ARN of the SQS DLQ for failed jobs."
}

variable "event_bridge_dlq_arn" {
  type        = string
  description = "ARN of the SQS DLQ for event bridge. This is the DLQ for the job DLQ and is used if even bridge issues occur."
}

variable "name_prefix" {
  type        = string
  description = "Naming prefix to make mcs2 happy."
}

variable "iam_role_name" {
  type        = string
  description = "Name of the IAM role used by the Glue jobs."
}

variable "mcs2_env" {
  type        = string
  description = "Name of the mosaic 2 environment, e.g. kcdev01, prd5use1."
}

#### These come from the docker image

variable "default_mdr_lib_version" {
  type        = string
  description = "The default version of the library to use. This value is used unless one is provided by the config."
}

#### These come from the helm chart

# Expected items:
#   * SRC_ACCOUNT_ID
#   * SRC_TABLE_NAME
#   * ENV_NAME: dev, stage, prod
#   * DEFAULT_MDR_LIB_VERSION
variable "extra_environment" {
  type        = map(string)
  description = "Environment variables coming from custom helm chart."
}

locals {
  aggregation_types   = ["cmdline", "filepath", "sha256", "filepath_sha256"]
  aggregation_windows = ["hourly", "24hours", "daily", "31days"]
}
